Coin: SoGLDisplayList Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

Public Types | Public Member Functions | List of all members
SoGLDisplayList Class Reference
Element Classes

The SoGLDisplayList class stores and manages OpenGL display lists. More...

`#include <Inventor/elements/SoGLDisplayList.h>`

## Public Types
enum | Type { DISPLAY_LIST , TEXTURE_OBJECT }

## Public Member Functions
| SoGLDisplayList (SoState *state, Type type, int allocnum=1, SbBool mipmaptexobj=FALSE)
void | ref (void)
void | unref (SoState *state=NULL)
void | open (SoState *state, int index=0)
void | close (SoState *state)
void | call (SoState *state, int index=0)
void | addDependency (SoState *state)
SbBool | isMipMapTextureObject (void) const
Type | getType (void) const
int | getNumAllocated (void) const
unsigned int | getFirstIndex (void) const
int | getContext (void) const
void | setTextureTarget (int target)
int | getTextureTarget (void) const

## Detailed Description

The SoGLDisplayList class stores and manages OpenGL display lists.

The TEXTURE_OBJECT type is not directly supported in Coin. We handle textures differently in a more flexible class called SoGLImage, which also stores some information about the texture used when rendering. Old code which use this element should not stop working though. The texture object extension will just not be used, and the texture will be stored in a display list instead.

## Constructor & Destructor Documentation

## ◆ SoGLDisplayList()

SoGLDisplayList::SoGLDisplayList | ( | SoState * | state,
|  | Type | type,
|  | int | allocnum = 1,
|  | SbBool | mipmaptexobj = FALSE )

Constructor.

## Member Function Documentation

## ◆ ref()

void SoGLDisplayList::ref | ( | void |  | ) |

Increase reference count for this display list/texture object.

## ◆ unref()

void SoGLDisplayList::unref | ( | SoState * | state = NULL | ) |

Decrease reference count for this instance. When reference count reaches 0, the instance is deleted.

## ◆ open()

void SoGLDisplayList::open | ( | SoState * | state,
|  | int | index = 0 )

Open this display list/texture object.

## ◆ close()

void SoGLDisplayList::close | ( | SoState * | state | ) |

Close this display list/texture object.

## ◆ call()

void SoGLDisplayList::call | ( | SoState * | state,
|  | int | index = 0 )

Execute this display list/texture object.

## ◆ addDependency()

void SoGLDisplayList::addDependency | ( | SoState * | state | ) |

Create a dependency on the display list.

## ◆ isMipMapTextureObject()

SbBool SoGLDisplayList::isMipMapTextureObject | ( | void |  | ) | const

Returns whether the texture object stored in this instance was created with mipmap data. This method is an extension versus the Open Inventor API.

## ◆ getType()

SoGLDisplayList::Type SoGLDisplayList::getType | ( | void |  | ) | const

Return type. Display list or texture object.

## ◆ getNumAllocated()

int SoGLDisplayList::getNumAllocated | ( | void |  | ) | const

Return number of display lists/texture objects allocated.

## ◆ getFirstIndex()

unsigned int SoGLDisplayList::getFirstIndex | ( | void |  | ) | const

Return first GL index for this display list.

## ◆ getContext()

int SoGLDisplayList::getContext | ( | void |  | ) | const

Return an id for the current context.

## ◆ setTextureTarget()

void SoGLDisplayList::setTextureTarget | ( | int | target | ) |

Sets the texture object target

Since
  Coin 2.5

## ◆ getTextureTarget()

int SoGLDisplayList::getTextureTarget | ( | void |  | ) | const

Returns the texture target

Since
  Coin 2.5

The documentation for this class was generated from the following files:

- SoGLDisplayList.h
- SoGLDisplayList.cpp